Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.util
Class BasicTypeConverter

    java.lang.Object
      org.apache.commons.jxpath.util.BasicTypeConverter

All Implemented Interfaces:
  TypeConverter

Direct Known Subclasses:
  JXPath11CompatibleTypeConverter

    public class BasicTypeConverter

extends Object
implements TypeConverter

The default implementation of TypeConverter.

Version:
  $Revision: 670727 $ $Date: 2008-06-23 15:10:38 -0500 (Mon, 23 Jun 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`BasicTypeConverter()`

Method Summary
`protected Collection` | `allocateCollection(Class type)` Create a collection of a given type.
`protected Number` | `allocateNumber(Class type, double value)` Allocate a number of a given type and value.
`boolean` | `canConvert(Object object, Class toType)` Returns true if it can convert the supplied object to the specified class.
`protected boolean` | `canCreateCollection(Class type)` Learn whether this BasicTypeConverter can create a collection of the specified type.
`Object` | `convert(Object object, Class toType)` Converts the supplied object to the specified type.
`protected Object` | `convertNullToPrimitive(Class toType)` Convert null to a primitive type.
`protected Object` | `convertStringToPrimitive(Object object, Class toType)` Convert a string to a primitive type.
`protected Collection` | `unmodifiableCollection(Collection collection)` Get an unmodifiable version of a collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTypeConverter

    public BasicTypeConverter()

Method Detail

### canConvert

    public boolean canConvert(Object object,
                              Class toType)

  Returns true if it can convert the supplied object to the specified class.

  Specified by:
    `canConvert` in interface `TypeConverter`
  Parameters:
    `object` - to check
    `toType` - prospective destination class
  Returns:
    boolean

### convert

    public Object convert(Object object,
                          Class toType)

  Converts the supplied object to the specified type. Throws a runtime exception if the conversion is not possible.

  Specified by:
    `convert` in interface `TypeConverter`
  Parameters:
    `object` - to convert
    `toType` - destination class
  Returns:
    converted object

### convertNullToPrimitive

    protected Object convertNullToPrimitive(Class toType)

  Convert null to a primitive type.

  Parameters:
    `toType` - destination class
  Returns:
    a wrapper

### convertStringToPrimitive

    protected Object convertStringToPrimitive(Object object,
                                              Class toType)

  Convert a string to a primitive type.

  Parameters:
    `object` - String
    `toType` - destination class
  Returns:
    wrapper

### allocateNumber

    protected Number allocateNumber(Class type,
                                    double value)

  Allocate a number of a given type and value.

  Parameters:
    `type` - destination class
    `value` - double
  Returns:
    Number

### canCreateCollection

    protected boolean canCreateCollection(Class type)

  Learn whether this BasicTypeConverter can create a collection of the specified type.

  Parameters:
    `type` - prospective destination class
  Returns:
    boolean

### allocateCollection

    protected Collection allocateCollection(Class type)

  Create a collection of a given type.

  Parameters:
    `type` - destination class
  Returns:
    Collection

### unmodifiableCollection

    protected Collection unmodifiableCollection(Collection collection)

  Get an unmodifiable version of a collection.

  Parameters:
    `collection` - to wrap
  Returns:
    Collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.